/* section contact */
#globe_contact {
  background-image: url("../image/ozya_globe-GqAL3uy.svg");
  background-repeat: no-repeat;
  background-size: 700px;
  background-position-x: 10%;
}

#intro_contact {
  font-family: "montserrat", sans-serif;
  color: white;
  text-align: left;
  font-size: 1.4em;
  width: 70%;
  margin: 120px auto;
}

.word {
  font-family: "Kodchasan", sans-serif;
  /* font-size: 1.5em; */
  color: white;
  text-align: center;
  margin: 0 auto;
  perspective: 1000px;
}

.word span {
  cursor: pointer;
  display: inline-block;
  font-size: 150px;
   -webkit-user-select: none;
  line-height: 0.8;
}

.word span:nth-child(1).active {
  animation: balance 1.5s ease-out;
  transform-origin: bottom left;
}

@keyframes balance {
  0%,
  100% {
    transform: rotate(0deg);
  }

  30%,
  60% {
    transform: rotate(-45deg);
  }
}

.word span:nth-child(2).active {
  animation: shrinkjump 1s ease-in-out;
  transform-origin: bottom center;
}

@keyframes shrinkjump {
  10%,
  35% {
    transform: scale(2, 0.2) translate(0, 0);
  }

  45%,
  50% {
    transform: scale(1) translate(0, -150px);
  }

  80% {
    transform: scale(1) translate(0, 0);
  }
}

.word span:nth-child(3).active {
  animation: falling 2s ease-out;
  transform-origin: bottom center;
}

@keyframes falling {
  12% {
    transform: rotateX(240deg);
  }

  24% {
    transform: rotateX(150deg);
  }

  36% {
    transform: rotateX(200deg);
  }

  48% {
    transform: rotateX(175deg);
  }

  60%,
  85% {
    transform: rotateX(180deg);
  }

  100% {
    transform: rotateX(0deg);
  }
}

.word span:nth-child(4).active {
  animation: rotate 1s ease-out;
}

@keyframes rotate {
  20%,
  80% {
    transform: rotateY(180deg);
  }

  100% {
    transform: rotateY(360deg);
  }
}

.word span:nth-child(5).active {
  animation: toplong 1.5s linear;
}

@keyframes toplong {
  10%,
  40% {
    transform: translateY(-48vh) scaleY(1);
  }

  90% {
    transform: translateY(-48vh) scaleY(4);
  }
}

.ss_titre_contact {
  text-align: center;
  font-size: 3em;
  color: #c1191a;
  margin: 110px auto;
}

.presentation {
  font-family: "montserrat", sans-serif;
  color: white;
  text-align: left;
  font-size: 1.8em;
  width: 70%;
  margin: 40px auto;
}

/* test anim profil */
.equipe {
  width: 200px;
  height: 200px;
  /* center content using flex box */
  display: flex;
  justify-content: center;
  align-items: center;
  /* overlay */
  box-shadow: 0 0 0 100px inset, 0 0 5px grey;
  /* hover out transition */
  transition: box-shadow 1s;
  float: left;
  margin: 10px;
}

.equipe::after {
  width: 80%;
  height: 80%;
  display: block;
  white-space: pre;
  font: 15pt "sigmar one";
  color: white;
  border: 2px solid;
  text-align: center;
  /* center content using flex box */
  display: flex;
  justify-content: center;
  align-items: center;
  /* hover out transition */
  transition: opacity 1s 0.5s;
}

.equipe:hover {
  box-shadow: 0 0 0 5px inset, 0 0 5px grey,
    0 0 10px grey inset;
  transition: box-shadow 1s;
}

.equipe:hover::after {
  opacity: 0;
  transition: opacity 0.5s;
}

#profil {
  background-image: url("../image/photo_red-9z_t6Z5.webp");
  background-size: cover;
  color: #c1191a;
}

#profil::after {
  content: "Carole";
}

.wrapper_profil {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 70%;
  height: auto;
  margin: auto;
}

#dev_passion {
  margin: auto auto 300px auto;
}

#p_profil {
  margin: auto auto 40px 0px;
}

#contact {
  margin: 170px auto;
  max-width: 100%;
}

#titre_contact {
  font-family: "Kodchasan", sans-serif;
  font-size: 3em;
  color: #c1191a;
  text-align: center;
  margin: 80px auto;
}

#form_contact {
  font-family: "Kodchasan", sans-serif;
  background-color: #cbcbcb;
  display: flex;
  justify-content: center;
  width: 700px;
  box-shadow: 5px 5px 5px
    rgba(110, 110, 110, 0.301);
  border-radius: 25px;
  padding: 0 50px 0 50px;
  margin: 20px auto;
}

.a_contact {
  text-decoration: none;
  color: black;
}

form div {
  width: 100%;
  display: flex;
  flex-direction: column;
  min-height: 83px;
  margin-top: 25px;
}

form div > label {
  margin-bottom: 7px;
  font-weight: 600;
}

form div > input,
form div > select,
form div > textarea {
  background-color: white;
  border: none;
  border-radius: 25px;
  font-size: 16px;
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25);
}

form div > input,
form div > select {
  height: 50px;
  padding-left: 10px;
}

form div > select {
  appearance: none;
  background-size: 15px;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEuMSIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHhtbG5zOnN2Z2pzPSJodHRwOi8vc3ZnanMuY29tL3N2Z2pzIiB3aWR0aD0iNTEyIiBoZWlnaHQ9IjUxMiIgeD0iMCIgeT0iMCIgdmlld0JveD0iMCAwIDIxMy4zMzMgMjEzLjMzMyIgc3R5bGU9ImVuYWJsZS1iYWNrZ3JvdW5kOm5ldyAwIDAgNTEyIDUxMiIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSIgY2xhc3M9IiI+PGc+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+Cgk8Zz4KCQk8cG9seWdvbiBwb2ludHM9IjAsNTMuMzMzIDEwNi42NjcsMTYwIDIxMy4zMzMsNTMuMzMzICAgIiBmaWxsPSIjMzAzMDMwIiBkYXRhLW9yaWdpbmFsPSIjMDAwMDAwIiBzdHlsZT0iIiBjbGFzcz0iIj48L3BvbHlnb24+Cgk8L2c+CjwvZz4KPGcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPC9nPgo8ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8L2c+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjwvZz4KPGcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPC9nPgo8ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8L2c+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjwvZz4KPGcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPC9nPgo8ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8L2c+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjwvZz4KPGcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPC9nPgo8ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8L2c+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjwvZz4KPGcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPC9nPgo8ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8L2c+CjxnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjwvZz4KPC9nPjwvc3ZnPg==");
  background-position: right 10px top 50%;
  background-repeat: no-repeat;
}

form div > textarea {
  height: 195px;
  padding: 15px 0px 0px 10px;
}

form div > input::placeholder,
form div > textarea::placeholder {
  color: black;
}

form div > select:invalid {
  color: white;
}

form div > select option {
  background: white;
  color: #303030;
}

form div:last-child {
  align-items: center;
  margin-top: 20px;
}

form button {
  font-family: "Kodchasan", sans-serif;
  width: 450px;
  max-width: 500px;
  height: 60px;
  font-weight: 700;
  font-size: 28px;
  background-color: #c1191a;
  border-radius: 25px;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  color: white;
  cursor: pointer;
}

form button:hover {
  background-color: white;
  color: #c1191a;
}

#red_ozya {
  width: 200px;
  margin: 0px 20px 10px auto;
}

#log_contact {
  display: flex;
  flex-direction: row-reverse;
}

#pied_fond {
  width: 100%;
}

/* messages flash */
.success {
  background-color: #cbcbcb;
  border-radius: 25px;
  text-align: center;
  position: relative;
  height: 70px;
  width: 800px;
  font-family: "Kodchasan", sans-serif;
  font-size: 1.2em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 130px auto -95px auto;
  box-shadow: 5px 5px 5px
    rgba(112, 112, 112, 0.35);
  top: 55px;
  font-weight: bold;
}

#temsuccess {
  top: auto;
  z-index: 15;
}

@media all and (max-width: 1500px) {
  #titre_contact {
    text-align: left;
    padding-left: 40px;
  }
}

@media all and (max-width: 1080px) {
  .presentation {
    font-size: 1.4em;
  }

  #intro_contact {
    font-size: 1.4em;
    margin: 80px auto;
  }

  .word span {
    font-size: 100px;
  }

  .ss_titre_contact {
    font-size: 2.2em;
  }
}

@media all and (max-width: 1030px) {
  #dev_passion {
    margin: auto auto 200px auto;
  }
}

@media all and (max-width: 992px) {
  #titre_contact {
    font-size: 2.2em;
  }

  #form_contact p {
    display: none;
  }

  #form_contact {
    width: 600px;
  }

  #globe_contact {
    background-size: auto;
  }

  .success {
    width: 630px;
  }
}

@media all and (max-width: 768px) {
  #globe_contact {
    background-size: auto;
  }

  #form_contact p {
    display: none;
  }

  #titre_contact {
    font-size: 2.4em;
  }
  
  .word span {
    font-size: 90px;
  }

  .ss_titre_contact {
    font-size: 2em;
  }

  #intro_contact {
    font-size: 1.2em;
  }

  .presentation {
    font-size: 1.2em;
  }
}

@media all and (max-width: 680px) {
  #form_contact {
    width: 400px;
  }

  .success {
    width: 400px;
    font-size: 1em;
  }
}

@media all and (max-width: 576px) {
  #form_contact {
    width: 230px;
  }

  #titre_contact {
    font-size: 1.9em;
  }

  #form_contact {
    font-size: 0.87em;
  }

  form button {
    width: 100%;
  }

  .success {
    width: 335px;
  }
  
  .word span {
    font-size: 80px;
  }

  .ss_titre_contact {
    font-size: 1.8em;
  }
}

@media all and (max-width: 400px) {
  #titre_contact {
    padding-left: 25px;
  }
  
  .word span {
    font-size: 70px;
  }

  .ss_titre_contact {
    font-size: 1.6em;
  }

  #intro_contact {
    font-size: 1.1em;
  }

  .presentation {
    font-size: 1.1em;
  }
}
